#-----------------------------------------------------------------------------
%define		dist		.ok
%define		shortname	%(echo %{name} | cut -d '-' -f1)
#-----------------------------------------------------------------------------
Name		:	mate-control-center
Version		:	1.28.0
Release		:	16.2.1.rel%{?dist}
Summary		:	Utilities to configure the MATE desktop
Group		:	Development/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GLPLv2
URL		:	http://pub.mate-desktop.org/releases/

Source0		:	%{name}-%{version}.tar.xz
Patch0		:	%{name}-%{version}-no-systemd.patch

#-----------------------------------------------------------------------------
BuildRequires	:	dbus-glib-devel
BuildRequires	:	gtk3+
BuildRequires	:	intltool
BuildRequires	:	itstool
BuildRequires	:	libgtop
BuildRequires	:	libappindicator-gtk3-devel
BuildRequires	:	pkgconfig(librsvg-2.0)
BuildRequires	:	mate-menus
BuildRequires	:	marco
BuildRequires	:	mate-common
BuildRequires	:	mate-settings-daemon
BuildRequires	:	mate-desktop
BuildRequires	:	polkit-devel
BuildRequires	:	udisks
BuildRequires	:	xorg-libXcursor
BuildRequires	:	xorg-libXScrnSaver
BuildRequires	:	yelp-tools

Requires(post)	:	%{_bindir}/update-mime-database
Requires(post)	:	%{_bindir}/gtk-update-icon-cache
Requires(post)	:	%{_bindir}/update-desktop-database
Requires(post)	:	%{_bindir}/glib-compile-schemas

Requires	:	mate-settings-daemon
Requires	:	gnome-keyring

#-----------------------------------------------------------------------------
%description
This package contains configuration utilities for the MATE desktop,
which allow to configure accessibility options, desktop fonts, keyboard
and mouse properties, sound setup, desktop theme and background, user
interface properties, screen resolution, and other settings.

#-----------------------------------------------------------------------------
%files		-f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_sysconfdir}/xdg/menus/%{shortname}cc.menu
%{_bindir}/%{name}
%{_bindir}/%{shortname}-*-properties
%{_bindir}/%{shortname}-typing-monitor
%{_bindir}/%{shortname}-about-me
%{_bindir}/%{shortname}-font-viewer
%{_bindir}/%{shortname}-thumbnail-font
%{_sbindir}/%{shortname}-display-properties-install-systemwide
%{_libdir}/pkgconfig/%{shortname}-*.pc
%{_datadir}/glib-2.0/schemas/org.%{shortname}.*.gschema.xml
%{_datadir}/applications/%{shortname}-*.desktop
%{_datadir}/applications/%{shortname}cc.desktop
%{_datadir}/help/*/%{name}/*.{docbook,xml}
%{_datadir}/icons/hicolor/*/categories/instant-messaging.png
%{_datadir}/icons/hicolor/*/apps/%{shortname}-*.png
%{_datadir}/icons/hicolor/scalable/apps/%{shortname}-*.svg
%{_datadir}/polkit-1/actions/org.%{shortname}.*.policy
%{_datadir}/%{name}/pixmaps/*.{png,svg}
%{_datadir}/%{name}/keybindings/*.xml
%{_datadir}/desktop-directories/%{shortname}cc.directory
%{_datadir}/mime/*
%{_datadir}/thumbnailers/mate-font-viewer.thumbnailer
%{_mandir}/man1/%{shortname}-*.1.gz

#-----------------------------------------------------------------------------
%post
%{_bindir}/update-mime-database -n %{_datadir}/mime
%{_bindir}/gtk-update-icon-cache -t %{_datadir}/icons/hicolor  > /dev/null 2>&1
%{_bindir}/update-desktop-database > /dev/null 2>&1
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas > /dev/null 2>&1

%postun
if [ "$1" = 0 ]; then
  mkdir -p %{_datadir}/icons/hicolor > /dev/null 2>&1
  %{_bindir}/gtk-update-icon-cache -t %{_datadir}/icons/hicolor > /dev/null 2>&1
  %{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas > /dev/null 2>&1
  %{_bindir}/update-desktop-database > /dev/null 2>&1
  %{_bindir}/update-mime-database -n %{_datadir}/mime
  fi

#=============================================================================
%prep
%setup -q 
%patch -P 0 -p1

#-----------------------------------------------------------------------------
#building application
%build

./configure						\
        --prefix=%{_prefix}				\
        --sysconfdir=%{_sysconfdir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--datadir=%{_datadir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%version	\
	--enable-libappindicator=yes			\
	--disable-schemas-compile			\
	--disable-update-mimedb				\
	--disable-static				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete


desktop-file-install                                	\
	--delete-original                               \
	--dir=%{buildroot}%{_datadir}/applications      \
	%{buildroot}%{_datadir}/applications/*.desktop

#we should not have a installed mimeinfo.cache
%{__rm} -f %{buildroot}%{_datadir}/applications/mimeinfo.cache

%find_lang %{name}
#-----------------------------------------------------------------------------
%changelog
